Bug 741 - smbd dies after being compiled on OpenBSD 3.4
smbd dies after being compiled on OpenBSD 3.4
Status: CLOSED FIXED
Product: Samba 3.0
Classification: Unclassified
Component: Build environment
3.0.0
All OpenBSD
: P4 regression
: none
Assigned To: Tim Potter
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2003-11-07 17:32 UTC by Philip Rinehart
Modified: 2005-08-24 10:17 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Philip Rinehart 2003-11-07 17:32:33 UTC
Samba-3.0.0 compiled on OpenBSD 3.4, using the following flags

./configure --with-ldap --with-krb5=/usr/lib --includedirs=/usr/local/include

Configure creates the file, make compiles without error, and the binaries are then installed. When 
attempting to start smbd the following errors are reported to the error log:

lazy binding failed!
[2003/11/07 20:19:22, 0] lib/fault.c:fault_report(36)
  
============================================================
===
[2003/11/07 20:19:22, 0] lib/fault.c:fault_report(37)
  INTERNAL ERROR: Signal 11 in pid 19651 (3.0.0)
  Please read the appendix Bugs of the Samba HOWTO collection
[2003/11/07 20:19:22, 0] lib/fault.c:fault_report(39)
  
============================================================
===
[2003/11/07 20:19:22, 0] lib/util.c:smb_panic(1400)
  PANIC: internal error
Comment 1 Jim 2003-11-10 14:09:07 UTC
Same happens here, except I passed no flags to ./configure.  The machine was
upgraded from OpenBSD 3.3, hopefully that doesn't make a difference (3.3 -> 3.4
was the transition from a.out -> ELF).
Comment 2 Jim 2003-11-14 09:45:04 UTC
Confirmed fixed in 3.0.1pre3.

Thanks!
Comment 3 Tim Potter 2003-12-05 03:54:32 UTC
Phillip, is this fixed for you in the rc1 build?
Comment 4 Philip Rinehart 2003-12-05 05:28:43 UTC
Fixed by using recompiling iconv libraries.
Comment 5 Tim Potter 2003-12-05 13:10:24 UTC
Poster says fixed.
Comment 6 Gerald (Jerry) Carter 2005-08-24 10:17:09 UTC
sorry for the same, cleaning up the database to prevent unecessary reopens of bugs.